This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 890833 - Review Request: perl-Math-NumSeq - Number sequences
Review Request: perl-Math-NumSeq - Number sequences
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On: 876411 890828 890830 890831
Blocks: 876928
  Show dependency treegraph
 
Reported: 2012-12-30 09:48 EST by Miro Hrončok
Modified: 2013-01-28 10:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 10:15:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-12-30 09:48:37 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Math-NumSeq.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Math-NumSeq-55-1.fc17.src.rpm

Description:

This is a base class for some number sequences. Sequence objects can
iterate through values and some sequences have random access and/or
predicate test.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2013-01-16 23:13:18 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Math-NumSeq.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Math-NumSeq-55-1.fc18.src.rpm

- New release
- Removed shared libs filter, noarch
- Removed deleting empty directories
- PERL_INSTALL_ROOT changed to DESTDIR
- Added some of previously removed BRs
- Sort (B)Rs lexicographically 
- Removed BRs provided by perl package
Comment 2 T.C. Hollingsworth 2013-01-17 04:35:10 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Resolution: APPROVED

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v3 or later)", "GPL (v3 or later)", "Unknown or
     generated". 3 files have unknown license. Detailed output of licensecheck
     in /home/fedora/patches/890833-perl-Math-NumSeq/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Reguires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (Math-NumSeq-55.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: perl-Math-NumSeq-55-1.fc19.src.rpm
          perl-Math-NumSeq-55-1.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Math-NumSeq
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Math-NumSeq-55-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    perl >= 0:5.004
    perl(:MODULE_COMPAT_5.16.2)
    perl(Carp)
    perl(Exporter)
    perl(File::HomeDir)
    perl(File::Spec)
    perl(File::Temp)
    perl(Language::Expr)
    perl(Language::Expr::Compiler::Perl)
    perl(List::Util)
    perl(Locale::Messages)
    perl(Math::Expression::Evaluator)
    perl(Math::Factor::XS)
    perl(Math::Factor::XS) >= 0.39
    perl(Math::Factor::XS) >= 0.40
    perl(Math::Libm)
    perl(Math::NumSeq)
    perl(Math::NumSeq) >= 21
    perl(Math::NumSeq) >= 7
    perl(Math::NumSeq::All)
    perl(Math::NumSeq::Base::Digits)
    perl(Math::NumSeq::Base::IterateIth)
    perl(Math::NumSeq::Base::IteratePred)
    perl(Math::NumSeq::Base::Sparse)
    perl(Math::NumSeq::Cubes)
    perl(Math::NumSeq::DigitCount) >= 4
    perl(Math::NumSeq::DigitProduct)
    perl(Math::NumSeq::Fibbinary)
    perl(Math::NumSeq::Fibonacci)
    perl(Math::NumSeq::GolayRudinShapiro)
    perl(Math::NumSeq::NumAronson)
    perl(Math::NumSeq::NumAronson) >= 8
    perl(Math::NumSeq::OEIS)
    perl(Math::NumSeq::OEIS::Catalogue::Plugin)
    perl(Math::NumSeq::OEIS::Catalogue::Plugin::FractionDigits)
    perl(Math::NumSeq::OEIS::File)
    perl(Math::NumSeq::PisanoPeriod)
    perl(Math::NumSeq::PrimeFactorCount)
    perl(Math::NumSeq::Primes)
    perl(Math::NumSeq::Primorials)
    perl(Math::NumSeq::Repdigits)
    perl(Math::NumSeq::SqrtContinuedPeriod)
    perl(Math::NumSeq::SqrtDigits)
    perl(Math::NumSeq::Squares)
    perl(Math::NumSeq::Totient)
    perl(Math::NumSeq::Totient) >= 13
    perl(Math::NumSeq::TwinPrimes)
    perl(Math::NumSeq::WoodallNumbers)
    perl(Math::Prime::XS)
    perl(Math::Prime::XS) >= 0.23
    perl(Math::Symbolic)
    perl(Math::Trig)
    perl(Module::Load)
    perl(Module::Pluggable)
    perl(Module::Util)
    perl(POSIX)
    perl(SDBM_File)
    perl(Symbol)
    perl(constant)
    perl(constant) >= 1.02
    perl(constant::defer)
    perl(strict)
    perl(vars)



Provides
--------
perl-Math-NumSeq-55-1.fc19.noarch.rpm:
    
    perl(Math::NumSeq) = 55
    perl(Math::NumSeq::Abundant) = 55
    perl(Math::NumSeq::AlgebraicContinued) = 55
    perl(Math::NumSeq::All) = 55
    perl(Math::NumSeq::AllDigits) = 55
    perl(Math::NumSeq::AllPrimeFactors) = 55
    perl(Math::NumSeq::AlmostPrimes) = 55
    perl(Math::NumSeq::AsciiSelf) = 55
    perl(Math::NumSeq::BalancedBinary) = 55
    perl(Math::NumSeq::Base::Array) = 55
    perl(Math::NumSeq::Base::Cache) = 55
    perl(Math::NumSeq::Base::Digits) = 55
    perl(Math::NumSeq::Base::IterateIth) = 55
    perl(Math::NumSeq::Base::IteratePred) = 55
    perl(Math::NumSeq::Base::Sparse) = 55
    perl(Math::NumSeq::BaumSweet) = 55
    perl(Math::NumSeq::Beastly) = 55
    perl(Math::NumSeq::Catalan) = 55
    perl(Math::NumSeq::CollatzSteps) = 55
    perl(Math::NumSeq::ConcatNumbers) = 55
    perl(Math::NumSeq::Cubes) = 55
    perl(Math::NumSeq::CullenNumbers) = 55
    perl(Math::NumSeq::DedekindPsiCumulative) = 55
    perl(Math::NumSeq::DedekindPsiSteps) = 55
    perl(Math::NumSeq::DeletablePrimes) = 55
    perl(Math::NumSeq::DigitCount) = 55
    perl(Math::NumSeq::DigitCountHigh) = 55
    perl(Math::NumSeq::DigitCountLow) = 55
    perl(Math::NumSeq::DigitLength) = 55
    perl(Math::NumSeq::DigitLengthCumulative) = 55
    perl(Math::NumSeq::DigitProduct) = 55
    perl(Math::NumSeq::DigitProductSteps) = 55
    perl(Math::NumSeq::DigitSum) = 55
    perl(Math::NumSeq::DigitSumModulo) = 55
    perl(Math::NumSeq::DivisorCount) = 55
    perl(Math::NumSeq::DuffinianNumbers) = 55
    perl(Math::NumSeq::Emirps) = 55
    perl(Math::NumSeq::ErdosSelfridgeClass) = 55
    perl(Math::NumSeq::Even) = 55
    perl(Math::NumSeq::Expression) = 55
    perl(Math::NumSeq::Expression::LanguageExpr)
    perl(Math::NumSeq::Factorials) = 55
    perl(Math::NumSeq::Fibbinary) = 55
    perl(Math::NumSeq::FibbinaryBitCount) = 55
    perl(Math::NumSeq::Fibonacci) = 55
    perl(Math::NumSeq::FibonacciWord) = 55
    perl(Math::NumSeq::File) = 55
    perl(Math::NumSeq::FractionDigits) = 55
    perl(Math::NumSeq::GolayRudinShapiro) = 55
    perl(Math::NumSeq::GolayRudinShapiroCumulative) = 55
    perl(Math::NumSeq::GoldbachCount) = 55
    perl(Math::NumSeq::GolombSequence) = 55
    perl(Math::NumSeq::HappyNumbers) = 55
    perl(Math::NumSeq::HappySteps) = 55
    perl(Math::NumSeq::HarshadNumbers) = 55
    perl(Math::NumSeq::HofstadterFigure) = 55
    perl(Math::NumSeq::JugglerSteps) = 55
    perl(Math::NumSeq::KlarnerRado) = 55
    perl(Math::NumSeq::Kolakoski) = 55
    perl(Math::NumSeq::LemoineCount) = 55
    perl(Math::NumSeq::LiouvilleFunction) = 55
    perl(Math::NumSeq::LucasNumbers) = 55
    perl(Math::NumSeq::LuckyNumbers) = 55
    perl(Math::NumSeq::MaxDigitCount) = 55
    perl(Math::NumSeq::MephistoWaltz) = 55
    perl(Math::NumSeq::MobiusFunction) = 55
    perl(Math::NumSeq::Modulo) = 55
    perl(Math::NumSeq::MoranNumbers) = 55
    perl(Math::NumSeq::Multiples) = 55
    perl(Math::NumSeq::NumAronson) = 55
    perl(Math::NumSeq::OEIS) = 55
    perl(Math::NumSeq::OEIS::Catalogue) = 55
    perl(Math::NumSeq::OEIS::Catalogue::Plugin) = 55
    perl(Math::NumSeq::OEIS::Catalogue::Plugin::BuiltinTable) = 55
    perl(Math::NumSeq::OEIS::Catalogue::Plugin::FractionDigits) = 55
    perl(Math::NumSeq::OEIS::Catalogue::Plugin::ZZ_Files) = 55
    perl(Math::NumSeq::OEIS::File) = 55
    perl(Math::NumSeq::Odd) = 55
    perl(Math::NumSeq::Palindromes) = 55
    perl(Math::NumSeq::Pell) = 55
    perl(Math::NumSeq::Perrin) = 55
    perl(Math::NumSeq::PisanoPeriod) = 55
    perl(Math::NumSeq::PisanoPeriodSteps) = 55
    perl(Math::NumSeq::PolignacObstinate) = 55
    perl(Math::NumSeq::Polygonal) = 55
    perl(Math::NumSeq::PowerFlip) = 55
    perl(Math::NumSeq::PowerPart) = 55
    perl(Math::NumSeq::Powerful) = 55
    perl(Math::NumSeq::PrimeFactorCount) = 55
    perl(Math::NumSeq::PrimeIndexOrder) = 55
    perl(Math::NumSeq::PrimeIndexPrimes) = 55
    perl(Math::NumSeq::Primes) = 55
    perl(Math::NumSeq::Primorials) = 55
    perl(Math::NumSeq::Pronic) = 55
    perl(Math::NumSeq::ProthNumbers) = 55
    perl(Math::NumSeq::PythagoreanHypots) = 55
    perl(Math::NumSeq::RadixConversion) = 55
    perl(Math::NumSeq::RadixWithoutDigit) = 55
    perl(Math::NumSeq::ReReplace) = 55
    perl(Math::NumSeq::ReRound) = 55
    perl(Math::NumSeq::RepdigitAny) = 55
    perl(Math::NumSeq::RepdigitRadix) = 55
    perl(Math::NumSeq::Repdigits) = 55
    perl(Math::NumSeq::ReverseAdd) = 55
    perl(Math::NumSeq::ReverseAddSteps) = 55
    perl(Math::NumSeq::Runs) = 55
    perl(Math::NumSeq::SelfLengthCumulative) = 55
    perl(Math::NumSeq::SophieGermainPrimes) = 55
    perl(Math::NumSeq::SpiroFibonacci) = 55
    perl(Math::NumSeq::SqrtContinued) = 55
    perl(Math::NumSeq::SqrtContinuedPeriod) = 55
    perl(Math::NumSeq::SqrtDigits) = 55
    perl(Math::NumSeq::SqrtEngel) = 55
    perl(Math::NumSeq::Squares) = 55
    perl(Math::NumSeq::StarNumbers) = 55
    perl(Math::NumSeq::SternDiatomic) = 55
    perl(Math::NumSeq::Tetrahedral) = 55
    perl(Math::NumSeq::Totient) = 55
    perl(Math::NumSeq::TotientCumulative) = 55
    perl(Math::NumSeq::TotientPerfect) = 55
    perl(Math::NumSeq::TotientSteps) = 55
    perl(Math::NumSeq::TotientStepsSum) = 55
    perl(Math::NumSeq::Triangular) = 55
    perl(Math::NumSeq::Tribonacci) = 55
    perl(Math::NumSeq::TwinPrimes) = 55
    perl(Math::NumSeq::UlamSequence) = 55
    perl(Math::NumSeq::UndulatingNumbers) = 55
    perl(Math::NumSeq::WoodallNumbers) = 55
    perl-Math-NumSeq = 55-1.fc19



MD5-sum check
-------------
http://www.cpan.org/authors/id/K/KR/KRYDE/Math-NumSeq-55.tar.gz :
  CHECKSUM(SHA256) this package     : f60f8fa3fcfc320fefbe71050f660cffa8dceca7c743ae64e860c2b0e75c6dc2
  CHECKSUM(SHA256) upstream package : f60f8fa3fcfc320fefbe71050f660cffa8dceca7c743ae64e860c2b0e75c6dc2


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b890833
Comment 3 Miro Hrončok 2013-01-17 05:37:00 EST
New Package SCM Request
=======================
Package Name: perl-Math-NumSeq
Short Description: Number sequences
Owners: churchyard
Branches: f17 f18
InitialCC: perl-sig
Comment 4 Jon Ciesla 2013-01-17 07:03:26 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-01-17 11:09:25 EST
perl-Math-NumSeq-55-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Math-NumSeq-55-1.fc18
Comment 6 Fedora Update System 2013-01-17 11:11:23 EST
perl-Math-NumSeq-55-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Math-NumSeq-55-1.fc17
Comment 7 Fedora Update System 2013-01-19 22:12:32 EST
perl-Math-NumSeq-55-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2013-01-28 10:15:35 EST
perl-Math-NumSeq-55-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2013-01-28 10:19:06 EST
perl-Math-NumSeq-55-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.